/// <reference types="steem-js-alpha" />
import * as steem from "steem";
import { EffectuatedSetRules } from "../../protocol/EffectuatedSetRules";
import { SteemOperationNumber } from "../../blockchain/SteemOperationNumber";
import { Api } from "../Api";
import { Protocol } from "../../protocol/Protocol";
import { DirectBlockchainApi } from "../directblockchain/DirectBlockchainApi";
import { EffectuatedWiseOperation } from "../../protocol/EffectuatedWiseOperation";
export declare class WiseSQLApi extends Api {
    static REQUIRED_ENDPOINT_API_VERSION: string;
    private endpointUrl;
    private protocol;
    private directBlockchainApi;
    /**
     * You have to specify at least one direct blockchain api.
     */
    constructor(endpointUrl: string, protocol: Protocol, directBlockchainApi?: DirectBlockchainApi);
    name(): string;
    loadPost(author: string, permlink: string): Promise<steem.SteemPost>;
    loadRulesets(forWhom: {
        voter?: string;
        delegator?: string;
    }, at: SteemOperationNumber): Promise<EffectuatedSetRules[]>;
    sendToBlockchain(operations: steem.OperationWithDescriptor[]): Promise<SteemOperationNumber>;
    getLastConfirmationMoment(delegator: string): Promise<SteemOperationNumber>;
    getAllWiseOperationsInBlock(blockNum: number, delegatorFilter?: string): Promise<EffectuatedWiseOperation[]>;
    getWiseOperationsRelatedToDelegatorInBlock(delegator: string, blockNum: number): Promise<EffectuatedWiseOperation[]>;
    getWiseOperations(username: string, until: Date): Promise<EffectuatedWiseOperation[]>;
    getDynamicGlobalProperties(): Promise<steem.DynamicGlobalProperties>;
    getAccountInfo(username: string): Promise<steem.AccountInfo>;
    getBlogEntries(username: string, startFrom: number, limit: number): Promise<steem.BlogEntry[]>;
    private formatMoment;
}
